Cancel a Payin
Cancel a Payin by ID.
To perform this operation, the Payin must be in the PENDING status and the status_code must not be CANCELED. And the payin must have no generated a payment link. Otherwise, the operation will fail.
- Production
- Sandbox
PATCH/v1/payins/{payin_id}/cancel
curl -X PATCH 'https://api.minteo.finance/v1/payins/{payin_id}/cancel' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{}'PATCH/v1/payins/{payin_id}/cancel
curl -X PATCH 'https://api.sandbox.minteo.finance/v1/payins/{payin_id}/cancel' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{}'RESPONSE
{ "output": { "id": "84203386-d88a-92cb-b5fe-61c328euffhueif49", "msg": "Process to cancel the payin has been started" }, "code": "OK"}Endpoint
PATCH
/v1/payins/{payin_id}/cancelScope
payins:cancel
Request
Request Body
An empty body or an empty JSON object ({}) is required. Either is accepted.
{}
Response
outputobjectObject containing the payin id and a confirmation msg.
codestringThe response status code text.